require 'flakyci_rspec/environments/local'
require 'flakyci_rspec/environments/drone'
require 'flakyci_rspec/environments/github'
require 'flakyci_rspec/environments/gitlab'
require 'flakyci_rspec/environments/circle_ci'
require 'flakyci_rspec/environments/travis_ci'
require 'flakyci_rspec/environments/codeship'

class Environments
  def initialize 
    @env = init_env()
  end
  def get_env
    @env.get_infos()    
  end

  def init_env
   if Github.is_github?()
    Environments::Github.new()
   elsif CircleCi.is_circle_ci?()
    Environments::CircleCi.new()
  elsif TravisCi.is_travis_ci?()
    Environments::TravisCi.new()
  elsif Codeship.is_codeship?()
    Environments::Codeship.new()
  elsif Drone.is_drone?()
    Environments::Drone.new()
  elsif Gitlab.is_gitlab?()
    Environments::Gitlab.new()
   else
    Environments::Local.new()
   end
  end
end
