class Environments::CircleCi 

  def get_infos() 
    {
      sha: sha(),
      build_id: build_id(),
      ref: get_ref(),
      build_name: build_name(),
      env_name: "circle ci"
    }
  end

  def sha() 
    ENV["CIRCLE_SHA1"]
  end

  def get_ref() 
    ENV["CIRCLE_BRANCH"]
  end

  def build_id() 
    ENV["CIRCLE_BUILD_NUM"]
  end

  def build_name() 
    ENV["CIRCLE_JOB"]
  end

  def self.is_circle_ci?()
    ENV["CIRCLE_SHA1"] != nil
  end
end
