class Environments::Codeship 


  def get_infos() 
    {
      sha: sha(),
      build_id: build_id(),
      ref: get_ref(),
      build_name: build_name(),
      env_name: "codeship"
    }
  end

  def sha() 
    ENV["CI_COMMIT_ID"]
  end

  def get_ref() 
    ENV["CI_BRANCH"]
  end

  def build_id() 
    ENV["CI_BUILD_NUMBER"]
  end

  def build_name() 
    ENV["CI_NAME"]
  end

  def self.is_codeship?()
    ENV["CI_NAME"] == "codeship"
  end
end
