class Environments::Drone 

  def get_infos() 
    {
      sha: sha(),
      build_id: build_id(),
      ref: get_ref(),
      build_name: build_name(),
      env_name: "drone-ci"
    }
  end

  def sha() 
    ENV["DRONE_COMMIT_SHA"]
  end

  def get_ref() 
    ENV["DRONE_COMMIT_REF"].tr("refs/heads/", "") 
  end

  def build_id() 
    ENV["DRONE_BUILD_NUMBER"]
  end

  def build_name() 
    ENV["DRONE_STAGE_NAME"] || "drone"
  end

  def self.is_drone?()
    ENV["DRONE"] == "true"
  end
end
