class Environments::Github 

  def get_infos() 
    {
      sha: sha(),
      build_id: build_id(),
      ref: get_ref(),
      build_name: build_name(),
      env_name: "github"
    }
  end

  def sha() 
    ENV["GITHUB_SHA"]
  end

  def get_ref() 
    ENV["GITHUB_REF"].tr("refs/heads/", "")
  end

  def build_id() 
    ENV["GITHUB_RUN_ID"]
  end

  def build_name() 
    ENV["GITHUB_WORKFLOW"]
  end

  def self.is_github?()
    ENV["GITHUB_SHA"] != nil
  end
end
