class Environments::Gitlab 

  def get_infos() 
    {
      sha: sha(),
      build_id: build_id(),
      ref: get_ref(),
      build_name: build_name(),
      env_name: "gitlab"
    }
  end

  def sha() 
    ENV["CI_COMMIT_SHA"]
  end

  def get_ref() 
    ENV["CI_COMMIT_REF_NAME"]
  end

  def build_id() 
    ENV["CI_PIPELINE_ID"]
  end

  def build_name() 
    ENV["CI_JOB_NAME"]
  end

  def self.is_gitlab?()
    ENV["CI_COMMIT_SHA"] != nil
  end
end
