# frozen_string_literal: true

class Environments
  class Local
    def get_infos
      {
        sha: sha,
        build_id: build_id,
        ref: get_ref,
        build_name: build_name,
        env_name: 'local'
      }
    end

    def sha
      `git rev-parse --short HEAD`.strip!
    end

    def get_ref
      `git rev-parse --abbrev-ref HEAD`.strip!
    end

    def build_id
      Time.now.to_i.to_s
    end

    def build_name
      'local'
    end
  end
end
