class Environments::TravisCi 

  def get_infos() 
    {
      sha: sha(),
      build_id: build_id(),
      ref: get_ref(),
      build_name: build_name(),
      env_name: "travis-ci"
    }
  end

  def is_travis?
    ENV["TRAVIS"] == "true"
  end

  def sha() 
    sha = ENV["TRAVIS_PULL_REQUEST_SHA"]
    if sha == ""
      "unknown" 
    else
      sha
    end
  end

  def get_ref() 
    ENV["TRAVIS_BRANCH"]
  end

  def build_id() 
    ENV["TRAVIS_BUILD_ID"]
  end

  def build_name() 
    ENV["TRAVIS_JOB_NAME"]
  end

  def self.is_travis_ci?()
    ENV["TRAVIS"] == "true"
  end
end
